| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
SDL
SDL.PixelFormat

# Method SDL.PixelFormat()->get_rgba()

Method get_rgba

  `mapping(string:Image.Color.Color|int) get_rgba(int pixel)`

Description

  Get RGB component values from a pixel stored in this pixel format.

Parameter `pixel`

  A pixel retrieved from a surface with this pixel format or a color previously mapped with map_rgb() or map_rgba() .

Returns

  A mapping containing with the RGBA components of the pixel as described below.

  `color : Image.Color.Color` | The RGB color value of the pixel.
  `alpha : int` | The alpha value of the pixel in the range 0-255.

See also

  map_rgb() , map_rgba() , get_rgb()